.dev
REST APIAPI Reference

States

GET
/v1/countries/{country_code}/states

Path Parameters

country_code*string

Response Body

curl -X GET "https://example.com/v1/countries/string/states"
POST
/v1/countries/{country_code}/states

Path Parameters

country_code*string

Response Body

curl -X POST "https://example.com/v1/countries/string/states"
GET
/v1/countries/{country_code}/states/{id}

Path Parameters

country_code*string
id*string

Response Body

curl -X GET "https://example.com/v1/countries/string/states/string"
DELETE
/v1/countries/{country_code}/states/{id}

Path Parameters

country_code*string
id*string

Response Body

curl -X DELETE "https://example.com/v1/countries/string/states/string"
PUT
/v1/countries/{country_code}/states/{id}

Path Parameters

country_code*string
id*string

Response Body

curl -X PUT "https://example.com/v1/countries/string/states/string"